{
  "globalDependencies": [".gitlab-ci.yml", ".npmrc", ".c8rc.json", ".mocharc.json"],
  "pipeline": {
    "build": {
      "dependsOn": ["^build"],
      "outputs": ["lib/**"],
      "cache": true
    },
    "deploy": {
      "dependsOn": ["build"],
      "cache": false
    },
    "docs": {
      "dependsOn": ["^build"],
      "outputs": ["docs/**"],
      "cache": false
    },
    "format": {},
    "format:fix": {
      "cache": false
    },
    "lint": {
      "dependsOn": ["^build"]
    },
    "lint:fix": {
      "dependsOn": ["^build", "^lint:fix"],
      "cache": false
    },
    "test": {
      "dependsOn": ["^build"],
      "outputs": ["coverage/cobertura-coverage.xml", "coverage/report-junit.xml"]
    },
    "test:integration": {
      "dependsOn": ["build"],
      "outputs": ["coverage/integration-cobertura-coverage.xml", "coverage/integration-report-junit.xml"]
    },
    "dev": {
      "persistent": true,
      "cache": false
    },
    "//#syncpack": {
      "dependsOn": []
    }
  }
}
